apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: ceph-cluster-deploy
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "-6"
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  # Where we are deploying to
  destination:
    namespace: rook-ceph
    server: https://kubernetes.default.svc
  # Which project this Application belongs to
  project: default
  # Where this Application has its source
  source:
    # Helm specifc values
    chart: rook-ceph-cluster
    repoURL: https://charts.rook.io/release
    targetRevision: 1.8.2
    helm:
      parameters:
        - name: "cephClusterSpec.mon.allowMultiplePerNode"
          value: "true"
        - name: "cephBlockPools.storageClass[0].isDefault"
          value: "false"
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: true
    syncOptions:
      - CreateNamespace=true
      - Validate=false
